Page Summary
-
The
MutateBiddingStrategiesRPC allows you to create, update, or remove bidding strategies. -
This RPC returns operation statuses for the changes made to bidding strategies.
-
Several errors can be thrown by this RPC, including errors related to authentication, authorization, bidding, and internal issues.
-
The
MutateBiddingStrategiesRPC requires thehttps://www.googleapis.com/auth/adwordsOAuth scope for authorization.
Creates, updates, or removes bidding strategies. Operation statuses are returned.
List of thrown errors: AdxError AuthenticationError AuthorizationError BiddingError BiddingStrategyError ContextError DatabaseError DateError DistinctError FieldError FieldMaskError HeaderError IdError InternalError MutateError NewResourceCreationError NotEmptyError NullError OperationAccessDeniedError OperatorError QuotaError RangeError RequestError SizeLimitError StringFormatError StringLengthError
HTTP request
POST https://googleads.googleapis.com/v21/customers/{customerId}/biddingStrategies:mutate
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
customerId |
|
Request body
The request body contains data with the following structure:
| JSON representation |
|---|
{ "operations": [ { object ( |
| Fields | |
|---|---|
operations[] |
BiddingStrategyOperation) |
partialFailure |
|
responseContentType |
ResponseContentType) |
validateOnly |
|
Response body
Response message for bidding strategy mutate.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{ "partialFailureError": { object ( |
| Fields | |
|---|---|
partialFailureError |
Status) |
results[] |
MutateBiddingStrategyResult) |
- Authorization scopes
-
Requires the following OAuth scope:
https://www.googleapis.com/auth/adwords
For more information, see the OAuth 2.0 Overview.